datacache <- new.env(hash=TRUE, parent=emptyenv())

HuO22 <- function() showQCData("HuO22", datacache)
HuO22_dbconn <- function() dbconn(datacache)
HuO22_dbfile <- function() dbfile(datacache)
HuO22_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
HuO22_dbInfo <- function() dbInfo(datacache)

HuO22ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "HuO22.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "HuO22", "chip HuO22", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(HuO22_dbconn())
}

